%global momorel 2

Name:           perl-ExtUtils-ParseXS
Version:        2.19
Release: %{momorel}m%{?dist}
Summary:        Converts Perl XS code into C code
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-ParseXS/
Source0: http://www.cpan.org/modules/by-module/ExtUtils/ExtUtils-ParseXS-%{version}.tar.gz 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Config)
BuildRequires:  perl-ExtUtils-CBuilder
BuildRequires:  perl-Module-Build
Requires:       perl(Config)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and creates
the glue necessary to let Perl access those functions. The compiler uses
typemaps to determine how to map C function parameters and variables to
Perl values.

%prep
%setup -q -n ExtUtils-ParseXS-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils/*
%{_mandir}/man3/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.19-2m)
- rebuild against gcc43

* Mon Feb 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18-2m)
- %%NoSource -> NoSource

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.17-2m)
- use vendor

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Tue Oct 03 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.16-2m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.16-1m)
- spec file was autogenerated
